OpenCV: objdetect/include/opencv2/objdetect/objdetect_c.h File Reference

| OpenCV 3.4.2 Open Source Computer Vision

Classes | Macros | Typedefs | Functions
objdetect_c.h File Reference
`#include "opencv2/core/core_c.h"`
`#include <deque>`
`#include <vector>`

## Classes
struct | CvAvgComp
struct | CvHaarClassifier
struct | CvHaarClassifierCascade
struct | CvHaarFeature
struct | CvHaarStageClassifier

## Macros
#define | CV_HAAR_DO_CANNY_PRUNING 1
#define | CV_HAAR_DO_ROUGH_SEARCH 8
#define | CV_HAAR_FEATURE_MAX 3
#define | CV_HAAR_FIND_BIGGEST_OBJECT 4
#define | CV_HAAR_MAGIC_VAL 0x42500000
#define | CV_HAAR_SCALE_IMAGE 2
#define | CV_HAAR_STAGE_MAX 1000
#define | CV_IS_HAAR_CLASSIFIER(haar)
#define | CV_TYPE_NAME_HAAR "opencv-haar-classifier"

## Typedefs
typedef struct CvHidHaarClassifierCascade | CvHidHaarClassifierCascade

## Functions
CvSeq * | cvHaarDetectObjects (const CvArr *image, CvHaarClassifierCascade *cascade, CvMemStorage *storage, double scale_factor=1.1, int min_neighbors=3, int flags=0, CvSize min_size=cvSize(0, 0), CvSize max_size=cvSize(0, 0))
CvSeq * | cvHaarDetectObjectsForROC (const CvArr *image, CvHaarClassifierCascade *cascade, CvMemStorage *storage, std::vector< int > &rejectLevels, std::vector< double > &levelWeightds, double scale_factor=1.1, int min_neighbors=3, int flags=0, CvSize min_size=cvSize(0, 0), CvSize max_size=cvSize(0, 0), bool outputRejectLevels=false)
CvHaarClassifierCascade * | cvLoadHaarClassifierCascade (const char *directory, CvSize orig_window_size)
void | cvReleaseHaarClassifierCascade (CvHaarClassifierCascade **cascade)
int | cvRunHaarClassifierCascade (const CvHaarClassifierCascade *cascade, CvPoint pt, int start_stage=0)
void | cvSetImagesForHaarClassifierCascade (CvHaarClassifierCascade *cascade, const CvArr *sum, const CvArr *sqsum, const CvArr *tilted_sum, double scale)

## Function Documentation

## ◆ cvHaarDetectObjectsForROC()

CvSeq* cvHaarDetectObjectsForROC | ( | const CvArr * | image,
|  | CvHaarClassifierCascade * | cascade,
|  | CvMemStorage * | storage,
|  | std::vector< int > & | rejectLevels,
|  | std::vector< double > & | levelWeightds,
|  | double | scale_factor = `1.1`,
|  | int | min_neighbors = `3`,
|  | int | flags = `0`,
|  | CvSize | min_size = `cvSize(0, 0)`,
|  | CvSize | max_size = `cvSize(0, 0)`,
|  | bool | outputRejectLevels = `false`
| ) |  |